
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

/**
 * @author miriam.baglioni
 * @Date 27/02/24
 */
public class Venue implements Serializable {
	private String local_identifier;
	private List<Identifier> identifiers;
	private String name;
	private String acronym;
	private String type;
	private String publisher;
	private String series;
	private Boolean is_currently_full_oa;

	private String creation_date;
	private List<VenueContribution> contributions;

	public String getLocal_identifier() {
		return local_identifier;
	}

	public void setLocal_identifier(String local_identifier) {
		this.local_identifier = local_identifier;
	}

	public List<Identifier> getIdentifiers() {
		return identifiers;
	}

	public void setIdentifiers(List<Identifier> identifiers) {
		this.identifiers = identifiers;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAcronym() {
		return acronym;
	}

	public void setAcronym(String acronym) {
		this.acronym = acronym;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public Boolean getIs_currently_full_oa() {
		return is_currently_full_oa;
	}

	public void setIs_currently_full_oa(Boolean is_currently_full_oa) {
		this.is_currently_full_oa = is_currently_full_oa;
	}

	public String getCreation_date() {
		return creation_date;
	}

	public void setCreation_date(String creation_date) {
		this.creation_date = creation_date;
	}

	public List<VenueContribution> getContributions() {
		return contributions;
	}

	public void setContributions(List<VenueContribution> contributions) {
		this.contributions = contributions;
	}
}
